
package net.mcreator.cheese.item;

import net.minecraft.world.level.Level;
import net.minecraft.world.item.crafting.Ingredient;
import net.minecraft.world.item.TooltipFlag;
import net.minecraft.world.item.Tier;
import net.minecraft.world.item.PickaxeItem;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.network.chat.TextComponent;
import net.minecraft.network.chat.Component;

import net.mcreator.cheese.init.CheeseModItems;

import java.util.List;

public class CheesePickaxeItem extends PickaxeItem {
	public CheesePickaxeItem() {
		super(new Tier() {
			public int getUses() {
				return 250;
			}

			public float getSpeed() {
				return 7.5f;
			}

			public float getAttackDamageBonus() {
				return 1f;
			}

			public int getLevel() {
				return 2;
			}

			public int getEnchantmentValue() {
				return 11;
			}

			public Ingredient getRepairIngredient() {
				return Ingredient.of(new ItemStack(CheeseModItems.CHEESE_INGOT.get()), new ItemStack(CheeseModItems.CHEDDAR_CHEESE.get()),
						new ItemStack(CheeseModItems.SWISS_CHEESE.get()), new ItemStack(CheeseModItems.BLUE_CHEESE.get()),
						new ItemStack(CheeseModItems.GOUDA.get()), new ItemStack(CheeseModItems.WENSLEYDALE.get()),
						new ItemStack(CheeseModItems.PEPPER_JACK.get()));
			}
		}, 1, -3f, new Item.Properties().tab(CreativeModeTab.TAB_TOOLS));
	}

	@Override
	public void appendHoverText(ItemStack itemstack, Level world, List<Component> list, TooltipFlag flag) {
		super.appendHoverText(itemstack, world, list, flag);
		list.add(new TextComponent("YES! CHEESE PICKAXE!"));
	}
}
